/*
c3hess - Console Chess written in C
Copyright (C) 2023 Kasyanov Nikolay Alexeyevich

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/


#ifndef move_h
#define move_h

#include "piece.h"
#include "position.h"


typedef enum MoveType {
    MOVE        = 1 << 0,
    LONGCASTLE  = 1 << 1,
    SHORTCASTLE = 1 << 2,
    CHECK       = 1 << 3,
    CHECKMATE   = 1 << 4,
    PROMOTION   = 1 << 5,
    CAPTURE     = 1 << 6
} MoveType;


typedef struct Move {
    Position origin;
    Position target;
} Move;


Move move_new(Position origin, Position target);

#endif