/*
c3hess - Console Chess written in C
Copyright (C) 2023 Kasyanov Nikolay Alexeyevich

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/


#include "piece.h"
#include <stdlib.h>
#include <string.h>


// Color to a string representation
char* color_to_string(Color color) {
    char* color_string = (char*) malloc(sizeof(char) * 6);
    if (!color_string) {
        return NULL;
    }

    switch (color) {
        case WHITE: {
            strcpy(color_string, "WHITE\0");
            break;
        }
        case BLACK: {
            strcpy(color_string, "BLACK\0");
            break;
        }

        default: {
            free(color_string);
            return NULL;
        }
    }

    return color_string;
}


// Creates a new piece
Piece piece_new(Color color, PieceType type) {
    Piece new_piece;
    new_piece.color = color;
    new_piece.type = type;
    
    return new_piece;
}