/*
c3hess - Console Chess written in C
Copyright (C) 2023 Kasyanov Nikolay Alexeyevich

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/


#ifndef tile_h
#define tile_h

#include "piece.h"
#include "position.h"

typedef struct Tile {
    Position position;
    Piece piece;
} Tile;


// Creates a copy of a new tile
Tile tile_new(Position position, Piece piece);


// Creates a copy of an empty tile
Tile tile_new_empty(Position position);


// Returns 1 if the tile is occupied and 0 if it is not 
int tile_is_occupied(Tile tile);




#endif